# BGEz Usage

## Project

Your project should have the following layout:

```
- project/
    - bgez/
    - game.blend
```

Once you open a terminal in the project folder, you have access to the BGEz command line interface (CLI):

### Windows:

```bat
bgez\r <command> ...
```

Or using Python directly:

```bat
py -3 -m bgez <command> ...
```

### UNIX:

```sh
bgez/r <command> ...
```

Or using Python directly:

```sh
python3 -m bgez <command> ...
```

## Development

In the case you would be developing features for the framework, from the `bgez` folder, you can still use the `r` program to execute commands from BGEz, but you also have access to other scripts:

### Windows:

Execute Main:

```bat
r <command> ...

py -3 main.py <command> ...
```

Execute Unit Tests:

```bat
py -3 tests.py
```

### UNIX:

Execute Main:

```sh
python3 main.py <command> ...
```

Execute Unit Tests:

```sh
python3 tests.py <command> ...
```
