import unittest

from bgez.core import CallbackList
from bgez.asyn import EventLoop
from bgez import loop

__all__ = [
    'LoopTestCase',
]

class LoopTestCase(unittest.TestCase):
    '''
    Pre-configured TestCase using an eventloop.
    '''

    LOOP = EventLoop
    PARAMETER = ()
    TIMEOUT = 1

    def setUp(self):
        self.tests = CallbackList()
        self.loop = self.LOOP(self.PARAMETER)
        loop.set(self.loop)

    def tearDown(self):
        self.assertTrue(self.loop.run(self.TIMEOUT))
        self.tests()

    def postLoop(self, callback):
        if not callable(callback):
            raise ValueError('callback should be a callable')
        return self.tests.append(callback)
