from bgez.core.time import Scheduler, TimeClock
from bgez.asyn import EventLoop

from bgez.logic import SceneManager, StageManager, Game, Window

__all__ = [
    'window',
    'stages',
    'loop',
    'game',
]

window = Window()

__global_time = TimeClock()
__global_scheduler = Scheduler(__global_time)
__scene_manager = SceneManager()

stages = StageManager(__scene_manager)

loop = EventLoop([
    __global_scheduler, # Real Time Scheduler
    __scene_manager._update, # Scene Events Scheduler/Updates
    stages,
])

game = Game(
    time = __global_scheduler,
    scenes = __scene_manager,
)

del EventLoop
del Scheduler, TimeClock
del SceneManager, StageManager, Game, Window
del __global_scheduler
del __scene_manager
del __global_time
