from typing import Callable

from bgez.core.abstract import Abstract, abstractmethod

__all__ = [
    'Saveable',
]

class Saveable(Abstract):

    @abstractmethod
    def save(self, path: str, *, opener: Callable = open) -> None:
        '''Saves the object at the resource pointed at by `path`.'''

    @abstractmethod
    def load(self, path: str, *, opener: Callable = open) -> None:
        '''Loads the object from the resource pointed at by `path`.'''
