from bgez.logic import SceneManager

__all__ = [
    'StageManager',
]

class StageManager:
    '''
    The StageManager loads and unloads stages.
    '''

    def __init__(self, scenes: SceneManager):
        self.scenes = scenes
        self.loading = None
        self.stage = None

    def __call__(self):
        scene = self.scenes.current
        if self.loading is not None:
            self.loading.attach(scene, self.stage)
            self.stage = self.loading
            self.loading = None

    def switch(self, stage):
        if self.stage is not None:
            self.stage.detach()
        self.loading = stage
