'''Patches pypath to include bgez subpackages'''
from os.path import join, abspath
import sys

import bgez

__all__ = [
    'PYPACKAGES',
    'BGEMOCKING',
    'addPackageFolder',
]

PYPACKAGES = '.pypackages'
BGEMOCKING = '.mocking'

def addPackageFolder(*packageFolders):
    for packageFolder in packageFolders:
        if not isinstance(packageFolder, str):
            packageFolder = join(*packageFolder)
        packageFolder = abspath(packageFolder)
        if packageFolder not in sys.path:
            sys.path.append(packageFolder)

addPackageFolder(
    [bgez.path, PYPACKAGES],
    [bgez.path, '..', PYPACKAGES],
)
