#!/usr/bin/env python3
if __name__ == '__main__':
    import sys, os.path; sys.path[0] = os.path.normpath(os.path.join(__file__, '..', '..'))
    import unittest
    import bgez

    from bgez import logger
    logger.setLevel("CRITICAL")

    class CustomLoader(unittest.TestLoader):
        def _get_module_from_name(self, name: str):
            try: return super()._get_module_from_name(name)
            except ImportError as e:
                if e.name in bgez.bge_modules:
                    raise unittest.SkipTest(e)
                raise e

    runner = unittest.TextTestRunner(verbosity=2)
    loader = CustomLoader()

    tests = loader.discover(bgez.project, '*_test*.py')
    print('\n' * 16)
    results = runner.run(tests)

    if not results.wasSuccessful():
        exit(1)

exit(0)
